<template>
  <div class="spinner">
    <img src="../assets/loading.svg" alt="loading"/>
  </div>
</template>

<script>
  export default {
    name: 'callback',
    props: ['auth'],
    mounted() {
        const $router = this.$router
        const logger = this.$logger
        this.$auth.handleAuthentication()
        
           .then(async () => {
          let redirect = localStorage.getItem('redirect_after_login')
          localStorage.removeItem('redirect_after_login')

          logger.debug('redirect_after_login:', redirect)
          
          //check if user is registered. 
          //    if so, redirect to saved location or board 
          //    otherwise redirect ot registration page
          const user = await $router.app.$api.getUser()
          if ( !user ) {
            redirect = 'register';
          }
          
          const next = redirect || 'board';

          $router.push({ name: next })
          
        }).catch((err) => {
            logger.error(err)
            $router.push({ name: 'home' })
        })
    }
  }
</script>

<style>
  .spinner {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 100vh;
    width: 100vw;
    background-color: white;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }
</style>